Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

May 14, 2011

  1. Ian MacLeod

    Refactor the DependencyAutoloader to be a bit more readable

    authored
  2. Ian MacLeod

    Handle gems that specify the same symbol to autoload from.

    This is particularly useful for plugin libraries that should load
    when the main library does.
    authored
  3. Ian MacLeod

    Refactoring autoload specs to better represent loading of libs

    authored
  4. Ian MacLeod

    Optimize and don't autoload gems that have nothing to require

    authored
  5. Ian MacLeod

    Ruby 1.8.7 compat for autoloading

    authored
  6. Ian MacLeod

    Basic specs for autoloading

    authored
  7. Ian MacLeod

    Support for autoloading gems

    authored
  8. Ian MacLeod

    Helper for iterating loadable dependencies given a set of groups

    authored
  9. Ian MacLeod

    Refactoring Runtime#require into two methods

    authored

May 11, 2011

  1. André Arko

    Fix the spec so it doesn't destroy load path of the process running t…

    …he specs
    indirect authored
  2. André Arko

    Move spec up so it breaks later specs inside the same file

    indirect authored
  3. Merge pull request #1162 from mbirk/mbirk/relative_path_fix

    Fix and spec for bug handling relative paths in Gemfile.
    Andre Arko authored
  4. André Arko

    Update rubygems versions for testing

    indirect authored
  5. Merge pull request #1157 from rubiii/1-0-stable

    newgem should require the version file
    Andre Arko authored
  6. Merge pull request #1148 from thefrontiergroup/1-0-stable

    Fix file permissions after git checkout.
    Andre Arko authored
  7. Merge pull request #1153 from mpj/patch-1

    Andre Arko authored
  8. Michael Birk

    Fix for bug in handling relative paths.

    mbirk authored
  9. Michael Birk

    Spec demonstrating bug in handling relative paths in Gemfiles.

    mbirk authored

May 08, 2011

  1. Daniel Harrington

    newgem should require the version file

    the version constant is not only important for the gemspec, but should
    also be required by the main gem file by default.
    rubiii authored

May 07, 2011

  1. Mattias Petter Johansson

    See: http://groups.google.com/group/rubyonrails-talk/browse_thread/th…

    mpj authored

May 05, 2011

  1. Tony Issakov

    fix file permissions after repo checkout. keep in sync with umask

    tissak authored

May 04, 2011

  1. André Arko

    update changelog

    indirect authored
  2. André Arko

    Merge remote branch 'evanphx/1-0-stable' into 1-0-stable

    indirect authored

May 03, 2011

  1. Update to deal with Gem::Path removal

    The 'gem_dir' change is to deal with another change introduce in how the
    bin's for a gem are found.
    Evan Phoenix authored
  2. Merge pull request #1025 from goneflyin/1-0-stable.

    One-liner fix for issue #1024
    Andre Arko authored
  3. Merge pull request #1003 from martinjagusch/1-0-stable.

    Fix deployment task
    Andre Arko authored

May 02, 2011

  1. André Arko

    Merge Evan's fixes for Rubygems HEAD coming up on the 1.8 release

    Merge remote branch 'evanphx/1-0-stable' into 1-0-stable
    
    Conflicts:
    	lib/bundler/rubygems_integration.rb
    indirect authored
  2. Fix Rubygems.gem_path again

    Evan Phoenix authored

Apr 30, 2011

  1. André Arko

    Update changelog for 1.0.13

    indirect authored
  2. André Arko

    Also, don't run sudo tests when sudo isn't set

    indirect authored
  3. André Arko

    fix executable generation when sudo is required

    indirect authored
  4. André Arko

    run ONLY the sudo tests when testing sudo

    indirect authored
  5. André Arko

    allow rspec tasks even if ronn is missing

    indirect authored
  6. André Arko

    Version 1.0.13

    indirect authored
  7. André Arko

    Fix for Gem.path returning Gem::FS objects in Rubygems >= 1.8

    indirect authored
Something went wrong with that request. Please try again.